Draft BSpline/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 14: Line 14:


==Opțiuni==
==Opțiuni==
* Press {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the spline, leaving it open
* Apăsați {{KEY|F}} or the {{KEY|[[Image:Draft FinishLine.png|12px]] '''[[Draft_FinishLine|Finish]]'''}} button to finish the spline, leaving it open
* Press {{KEY|C}} or the {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine|Close]]'''}} button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
* Press {{KEY|C}} or the {{KEY|[[Image:Draft CloseLine.png|12px]] '''[[Draft_CloseLine|Close]]'''}} button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
Line 25: Line 25:
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
* Press {{KEY|CTRL}}+{{KEY|Z}} or press the {{KEY|[[Image:Draft UndoLine.png|12px]] '''[[Draft_UndoLine|Undo]]'''}} button to undo the last point.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the spline filled with a face after it has been closed.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the spline filled with a face after it has been closed.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current BSpline command.
*Apăsați tasta {{KEY | ESC}} sau tasta {{KEY | '''Cancel'''}} pentru a întrerupe comanda curentă BSpline.
* BSplines, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.
* Planele BS, atunci când sunt în modul de afișare "Flat Lines", pot afișa un model de hașurare, prin setarea proprietății "Pattern" de mai jos.


==Proprietăți==
==Proprietăți==

Revision as of 09:49, 16 November 2018

Draft BSpline

poziția meniului
Draft → BSpline
Ateliere
Draft, Arch
scurtătură
B S
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Wire

Descriere

Instrumentul BSpline creează o curbă B-Spline din mai multe puncte din actualul work plane. Este nevoie de linewidth and color setată anterior pe fila Activități. Instrumentul BSpline se comportă exact ca instrumentul Draft Wire.

Cum se folosește

  1. Apăsați butonul Draft BSpline, sau apăsați tastele B apoi S
  2. Click a first point on the 3D view, or type a coordinate
  3. Click additional point on the 3D view, or type a coordinate
  4. Apăsați tastele F sau C sau faceți dublu clic pe ultimul punct sau faceți clic pe primul punct pentru a termina sau închide curba spline. Dacă splinea este închisă, ea va fi de asemenea o fațetă, chiar dacă ea apare ca un cadru de tip wireframe.

Opțiuni

  • Apăsați F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BSpline tool will restart after you finish or close it, allowing you to draw another one without pressing the BSpline button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press I or the Filled button to have the spline filled with a face after it has been closed.
  • Apăsați tasta ESC sau tasta Cancel pentru a întrerupe comanda curentă BSpline.
  • Planele BS, atunci când sunt în modul de afișare "Flat Lines", pot afișa un model de hașurare, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

  • DateClosed: Specifies if the spline is closed or not
  • DateMake Face: Fills the spline with a face
  • VizualizareEnd Arrow: Shows an arrow symbol at the last point of the spline, so it can be used as an annotation leader line
  • VizualizarePattern: Specifies a hatch pattern to fill the wire with
  • VizualizarePattern Size: Specifies the size of the hatch pattern

Scripting

The BSpline tool can by used in macros and from the python console by using the following function:

makeBSpline (pointslist,[closed],[placement])
  • Creates a B-Spline object from the given list of vectors.
  • If closed is True or first and last points are identical, the wire is closed.
  • If face is true (and the bspline is closed), the bspline will appear filled.
  • Instead of a list of points, you can also pass a Part Wire.
  • Returns the newly created object.

Exempluː

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeBSpline([p1,p2,p3],closed=True)